claw::graphic::gif::reader Class Reference

This class reads data from a gif file. The image is resized to the size of the screen (as defined in the gif file) and the frames are stored in a list of frames passed as parameter. More...

`#include <gif.hpp>`

## Public Member Functions

| reader (image &img)
| Constructor.
| reader (image &img, std::istream &f)
| Constructor.
| reader (frame_list &frames, std::istream &f)
| Constructor.
| reader (image &img, frame_list &frames, std::istream &f)
| Constructor.
| ~reader ()
| Destructor.
void | load (std::istream &f)
| Load the image data from a stream.

## Detailed Description

This class reads data from a gif file. The image is resized to the size of the screen (as defined in the gif file) and the frames are stored in a list of frames passed as parameter.

Author
  Julien Jorge

Definition at line 279 of file gif.hpp.

## Constructor & Destructor Documentation

## reader() [1/4]

claw::graphic::gif::reader::reader | ( | image & | img | ) |

Constructor.

Parameters

  img | The image in which we store the data.

Definition at line 272 of file gif_reader.cpp.

References claw::graphic::image::image().

## reader() [2/4]

claw::graphic::gif::reader::reader | ( | image & | img,
|  | std::istream & | f )

Constructor.

Parameters

  img | The image in which we store the data.
  f | The stream from which we read the data (gif file format).

The first frame of the gif will be saved in the image passed to the constructor.

Definition at line 287 of file gif_reader.cpp.

References claw::graphic::image::image(), and load().

## reader() [3/4]

claw::graphic::gif::reader::reader | ( | frame_list & | frames,
|  | std::istream & | f )

Constructor.

Parameters

  frames | The frames read from the file.
  f | The stream from which we read the data (gif file format).

Definition at line 299 of file gif_reader.cpp.

References load().

## reader() [4/4]

claw::graphic::gif::reader::reader | ( | image & | img,
|  | frame_list & | frames,
|  | std::istream & | f )

Constructor.

Parameters

  img | The image in which we store the data.
  frames | The frames read from the file.
  f | The stream from which we read the data (gif file format).

The first frame of the gif will be saved in the image passed to the constructor.

Definition at line 318 of file gif_reader.cpp.

References claw::graphic::image::image(), and load().

## ~reader()

claw::graphic::gif::reader::~reader | ( |  | ) |

Destructor.

Definition at line 331 of file gif_reader.cpp.

## Member Function Documentation

## load()

void claw::graphic::gif::reader::load | ( | std::istream & | f | ) |

Load the image data from a stream.

Parameters

  f | The stream from which we read the data (gif file format).

Definition at line 341 of file gif_reader.cpp.

Referenced by reader(), reader(), and reader().

The documentation for this class was generated from the following files:

- gif.hpp
- code/gif_reader.cpp